//
// Created by IgorBat on 23.04.2018.
//

#pragma once
#include <cassert>
#include "effects\melledamage.h"
#include "units\unit.h"
#include <string>

void melledamage::OperateOnCell(Cell* cell){
    throw std :: string("CAN'T TOUCH THIS");
}

void melledamage::OperateOnUnit(Unit* unit){
    int temp = unit -> reduceIncomingDamage("p", count_);
    //unit ->setHealthPoints(unit -> getHealthPoints() - temp);
    //check_on_death
}
